package com.reptileclient.jlifeapp.service;

import cn.hutool.core.date.DateTime;
import com.reptileclient.jlifeapp.entity.hm.HmBookOrder;

import java.util.List;
import java.util.Map;

/**
 * @author fuxubing
 */
public interface HmBookOrderService {
    /**
     * 新增盒马服务单
     *
     * @return
     */
    int addBookOrderList();

    /**
     * 通过预约手机号一键同步盒马服务单数据
     *
     * @param phone
     * @return
     */
    int syncHmBookOrderByPhone(String phone);

    /**
     * 根据时间数据去重
     *
     * @param dateTime
     * @return
     */
    int deleteDistinctData(DateTime dateTime);

    /**
     * 查询最新一条数据
     *
     * @param shopName
     * @return
     */
    HmBookOrder selectNewOne(String shopName);

    /**
     * 根据订单创建时间生成客户
     *
     * @param createTime
     * @return
     */
    int insertClientByBatch(String createTime);


    /**
     * 更新盒马服务单数据
     *
     * @return
     */
    int updateBookOrder();

    /**
     * 删除服务单数据
     *
     * @param createTime
     * @param shopName
     * @return
     */
    int deleteByCreateTime(String createTime, String shopName);

    /**
     * 获取作业单匹配到的预约单
     *
     * @return
     */
    List<Map<String, Object>> match();

    /**
     * 通过预约单号进行更新
     *
     * @param bookOrderNo
     * @param stationCode
     * @return
     */
    int updateByBookOrderNo(String bookOrderNo, String stationCode);
}
